## FreeBSD!
server.event-handler	= "freebsd-kqueue"
server.network-backend	= "writev"

server.pid-file		= "/var/run/lighty-pfidp.pid"
server.errorlog		= "/var/log/lighttpd-pfidp.error.log"

## modules to load
server.modules		= (
				"mod_access", 
				"mod_accesslog", 
				"mod_fastcgi",
				"mod_rewrite",
			)

server.document-root = "/usr/local/univnautes/www/"

server.port = 4443
ssl.engine  = "enable"
ssl.pemfile = "/var/etc/cert-portal.pem"
ssl.ca-file = "/var/etc/ca-portal.pem"

# /!\ the configuration below implies FORCE_SCRIPT_NAME="" in pffedportal/settings.py
# cf http://docs.djangoproject.com/en/dev/howto/deployment/fastcgi/#forcing-the-url-prefix-to-a-particular-value

url.rewrite-once = (
	"^(/.*)$" => "/pfidp.fcgi$1",
)

fastcgi.server = (
	"/pfidp.fcgi" => ((
		"socket" => "/tmp/pfidp.sock",
		"check-local" => "disable",
	))
)

